unit PridaniPredmetu_unit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Central_unit;

type
  TPridaniPredmetu = class(TForm)
    PredmetComboBox: TComboBox;
    Label1: TLabel;
    OK: TButton;
    Storno: TButton;
    procedure OKClick(Sender: TObject);
    procedure StornoClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure PredmetComboBoxKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PridaniPredmetu: TPridaniPredmetu;

implementation
uses Tridy_unit;
{$R *.DFM}

procedure TPridaniPredmetu.OKClick(Sender: TObject);
var UkPr: TPPredmet;
    Index:integer;
begin
If PredmetComboBox.Text <> '' then
begin
  If SeznamNazvuPredmetu.JeVSeznamu(PredmetComboBox.Text) then
    begin
      If SeznamTrid.JePredmet(AktualniTrida,PredmetComboBox.Text) then
        begin
          MessageDlg('Pedmt "' + PredmetComboBox.Text + '" u je pro tuto tdu zadn.',
                   mtCustom, [mbOK], 0);
          ActiveControl := PredmetComboBox;
        end
       else
        begin
          new(UkPr);
          UkPr.Zkratka := PredmetComboBox.Text;
          UkPr.Vyucuje := '';
          UkPr.PozadovanaUcebna := '';
          UkPr.Kolikrat := 1;
          UkPr.Dvouhodinovka := False;
          UkPr.CelaTrida := True;
          UkPr.Zaci := [1..50];
          UkPr.Dalsi := nil;
          SeznamTrid.PridejPredmetUk(AktualniTrida,UkPr);
          Index := Tridy.VyucovanePredmety.Items.Add(PredmetComboBox.Text);
          PredmetComboBox.Text := '';
          Close;
          Tridy.VyucovanePredmety.ItemIndex := Index;
          Tridy.VyucovanePredmetyClick(Sender);
          Tridy.ActiveControl := Tridy.VyucovanePredmety;
        end;
    end
   else
    begin
      MessageDlg('Pedmt "' + PredmetComboBox.Text + '" nen zadn v seznamu Pedmty!',
               mtCustom, [mbOK], 0);
      ActiveControl := PredmetComboBox;
    end;
end;
end;

procedure TPridaniPredmetu.StornoClick(Sender: TObject);
begin
Close;
end;

procedure TPridaniPredmetu.FormShow(Sender: TObject);
var UkPr:TPNazvyPredmetu;
begin
PridaniPredmetu.ActiveControl := PredmetComboBox;
PredmetComboBox.Clear;
UkPr := SeznamNazvuPredmetu.Prvni;
While UkPr <> nil do
  begin
    PredmetComboBox.Items.Add(UkPr.Zkratka);
    UkPr := UkPr.Dalsi;
  end;

end;

procedure TPridaniPredmetu.PredmetComboBoxKeyPress(Sender: TObject;
  var Key: Char);
begin
if Key = #13 then OKClick(Sender);
end;

end.
