unit PridaniUcebny_unit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Central_unit;

type
  TPridaniUcebny = class(TForm)
    Label1: TLabel;
    Jmeno: TEdit;
    Label2: TLabel;
    Popis: TEdit;
    OK: TButton;
    Storno: TButton;
    procedure StornoClick(Sender: TObject);
    procedure OKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure JmenoKeyPress(Sender: TObject; var Key: Char);
    procedure PopisKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PridaniUcebny: TPridaniUcebny;

implementation

uses Ucebny_unit;

{$R *.DFM}

procedure TPridaniUcebny.StornoClick(Sender: TObject);
begin
Close;
end;

procedure TPridaniUcebny.OKClick(Sender: TObject);
var Uk:TPUcebny;
begin
 If Jmeno.Text <> '' then
   begin
    If SeznamUceben.JeVSeznamu(Jmeno.Text) then
      begin
        MessageDlg('Uebna "'+Jmeno.Text+'" u v seznamu je!', mtCustom, [mbOK], 0);
        ActiveControl := Jmeno;
      end
     else
      begin
        new(Uk);
        Uk.Jmeno := Jmeno.Text;
        Uk.Popis := Popis.Text;
        Uk.Dalsi := nil;
        SeznamUceben.Pridej(Uk);
        Ucebny.UcebnyListBox.Items.Add(Jmeno.Text);
        Close;
      end;
   end
  else
   begin
     ActiveControl := Jmeno;
   end;
end;

procedure TPridaniUcebny.FormShow(Sender: TObject);
begin
  Jmeno.Text := '';
  Popis.Text := '';
  ActiveControl := Jmeno;
end;

procedure TPridaniUcebny.JmenoKeyPress(Sender: TObject; var Key: Char);
begin
if Key = #13 then OKClick(Sender);
end;

procedure TPridaniUcebny.PopisKeyPress(Sender: TObject; var Key: Char);
begin
if Key = #13 then OKClick(Sender);
end;

end.
