unit PridaniUcitele_unit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Ucitele_unit, Central_unit;

type
  TPridaniUcitele = class(TForm)
    Jmeno: TEdit;
    Label1: TLabel;
    OK: TButton;
    Storno: TButton;
    procedure StornoClick(Sender: TObject);
    procedure OKClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure JmenoKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PridaniUcitele: TPridaniUcitele;

implementation

{$R *.DFM}

procedure TPridaniUcitele.StornoClick(Sender: TObject);
begin
  Close;
  Ucitele.ActiveControl := Ucitele.ZkratkaUc;
end;

procedure TPridaniUcitele.OKClick(Sender: TObject);
var Ucitel: TPUcitel;
begin
  If Jmeno.Text <> '' then
    begin
      If SeznamUcitelu.JeVSeznamu(Jmeno.Text) then
        begin
          MessageDlg('Tento uitel u v seznamu je!', mtCustom, [mbOK], 0);
          ActiveControl := Jmeno;
        end
       else
        begin
          Ucitele.SeznamUciteluComboBox.Items.Add(Jmeno.Text);
          Ucitele.SeznamUciteluComboBox.Text := Jmeno.Text;
          new(Ucitel);
          Ucitel.Jmeno := Jmeno.Text;
          Ucitel.Zkratka := '';
          Ucitel.Hodiny := [Po1, Po2, Po3, Po4, Po5, Po6, Po7, Po8, Po9, Po10,
                            Ut1, Ut2, Ut3, Ut4, Ut5, Ut6, Ut7, Ut8, Ut9, Ut10,
                            St1, St2, St3, St4, St5, St6, St7, St8, St9, St10,
                            Ct1, Ct2, Ct3, Ct4, Ct5, Ct6, Ct7, Ct8, Ct9, Ct10,
                            Pa1, Pa2, Pa3, Pa4, Pa5, Pa6, Pa7, Pa8, Pa9, Pa10];
          Ucitel.Dalsi := nil;
          SeznamUcitelu.Pridej(Ucitel);
          Jmeno.Text := '';
          Ucitele.SeznamUciteluComboBoxChange(Sender);
          Close;
          Ucitele.ActiveControl := Ucitele.ZkratkaUc;
        end;
    end
   else
    begin
      ActiveControl := Jmeno;
    end;
end;

procedure TPridaniUcitele.FormActivate(Sender: TObject);
begin
  ActiveControl := Jmeno;
end;

procedure TPridaniUcitele.JmenoKeyPress(Sender: TObject; var Key: Char);
begin
if Key = #13 then OKClick(Sender);
end;

end.
