unit PridejPredmetDoSeznamu_unit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Central_unit, Predmety_unit;

type
  TPridejPredmetDoSeznamu = class(TForm)
    Label1: TLabel;
    Nazev: TEdit;
    Label2: TLabel;
    Zkratka: TEdit;
    OK: TButton;
    Storno: TButton;
    procedure StornoClick(Sender: TObject);
    procedure OKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure NazevKeyPress(Sender: TObject; var Key: Char);
    procedure ZkratkaKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PridejPredmetDoSeznamu: TPridejPredmetDoSeznamu;

implementation

{$R *.DFM}

procedure TPridejPredmetDoSeznamu.StornoClick(Sender: TObject);
begin
Close;
end;

procedure TPridejPredmetDoSeznamu.OKClick(Sender: TObject);
var Uk:TPNazvyPredmetu;
begin
  If Zkratka.Text <> '' then
    begin
      If SeznamNazvuPredmetu.JeVSeznamu(Zkratka.Text) then
        begin
          MessageDlg('Pedmt "'+Zkratka.Text+'" u v seznamu je!', mtCustom, [mbOK], 0);
          ActiveControl := Zkratka;
        end
       else
        begin
          new(Uk);
          Uk.Nazev := Nazev.Text;
          Uk.Zkratka := Zkratka.Text;
          Uk.Dalsi := nil;
          SeznamNazvuPredmetu.Pridej(Uk);
          Predmety.PredmetyListBox.Items.Add(Zkratka.Text);
          Nazev.Text := '';
          Zkratka.Text := '';
          Close;
        end;
    end
   else
    begin
      ActiveControl := Zkratka;
    end;
end;

procedure TPridejPredmetDoSeznamu.FormShow(Sender: TObject);
begin
ActiveControl := Zkratka;
end;

procedure TPridejPredmetDoSeznamu.NazevKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key = #13 then OKClick(Sender);
end;

procedure TPridejPredmetDoSeznamu.ZkratkaKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key = #13 then OKClick(Sender);
end;

end.
