unit VysledkyVyberTridy_unit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Central_unit, TvorbaRozvrhu_unit;

type
  TVysledkyVyberTridy = class(TForm)
    Label1: TLabel;
    VyberTridyComboBox: TComboBox;
    Konec: TButton;
    UlozRozvrh: TSaveDialog;
    procedure KonecClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure VyberTridyComboBoxChange(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  VysledkyVyberTridy: TVysledkyVyberTridy;

implementation

uses Vysledky_unit;

{$R *.DFM}

procedure TVysledkyVyberTridy.KonecClick(Sender: TObject);
begin
Close;
end;

procedure TVysledkyVyberTridy.FormShow(Sender: TObject);
var UkTr:TPTrida;
    UkNTr:TPNazevTridy;
begin
VyberTridyComboBox.Clear;
if NovyRozvrh then
  begin
    UkTr := SeznamTrid.Prvni;
    While UkTr <> nil do
      begin
        VyberTridyComboBox.Items.Add(UkTr.Jmeno);
        UkTr := UkTr.Dalsi;
      end;
  end
 else
  begin
    UkNTr := RozvrhKopie.VratSeznamNazvuTrid;
    While UkNTr <> nil do
      begin
        VyberTridyComboBox.Items.Add(UkNTr.Jmeno);
        UkNTr := UkNTr.Dalsi;
      end;
  end;
ActiveControl := VyberTridyComboBox;
end;

procedure TVysledkyVyberTridy.VyberTridyComboBoxChange(Sender: TObject);
begin
Vysledky_unit.ZobrazovanaTrida := VyberTridyComboBox.Items[VyberTridyComboBox.ItemIndex];
Vysledky.Visible := True;
end;

procedure TVysledkyVyberTridy.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
If NovyRozvrh then
   begin
     If (MessageDlg('Chcete tento rozvrh uloit?', mtCustom,
                [mbYes, mbNo], 0) = mrYes) then
                        begin
                          UlozRozvrh.FileName := '';
                          UlozRozvrh.Execute;
                          try
                          AssignFile(SouborRozvrh,UlozRozvrh.FileName);
                          RozvrhKopie.Uloz;
                          except end;
                        end;
   end;
RozvrhKopie.Done;
end;

end.
